using System;

class Program
{
    static void Main(string[] args)
    {
        string[] ulaz1 = Console.ReadLine().Split();

        int brojStalaktita = int.Parse(ulaz1[0]), pericinaVisina = int.Parse(ulaz1[1]), indeksStalaktita = 0;
        
        bool prosaoPecinu = false;

        string[] ulaz2 = Console.ReadLine().Split();

        for (int i = 0; i < brojStalaktita; i++)
        {
            int visinaStalaktita = int.Parse(ulaz2[i]);

            if (pericinaVisina >= visinaStalaktita)
            {
                prosaoPecinu = true;

                indeksStalaktita = i + 1;

                break;
            }
        }

        if (prosaoPecinu)
        {
            Console.WriteLine(indeksStalaktita);
        }
        else
        {
            Console.WriteLine("-1");
        }
    }
}